import request from '/@/utils/request';
import { baseUrlHost } from '../baseUrlHost';

/**
 * （不建议写成 request.post(xxx)，因为这样 post 时，无法 params 与 data 同时传参）
 * 注意在写get请求时，参数是params，而不是data，要标注好
 * 
 * 登录api接口集合
 * @method getlogList 获取日志列表
 * @method getaiabilityList 获取统计AI能力列表
 * @method getbaseUserList 获取统计基础信息列表
 * @method getaiabilityConsumeList 获取统计AI能力消费钻石列表
 */

export function logApi() {
	return {
		getlogList: (params: object) => {
			return request({
				url: baseUrlHost + '/acLog',
				method: 'get',
				params,
			});
		},
		getabilityList: (params:object) => {
			return request({
				url: baseUrlHost + '/acLog/AiAbility',
				method: 'get',
				params,
			});
		},
		getbaseUserList: () => {
			return request({
				url: baseUrlHost + '/acLog/basicInformation',
				method: 'get',
			});
		},
		getaiabilityConsumeList: (params:object) => {
			return request({
				url: baseUrlHost + '/acLog/AiAbilityConsume',
				method: 'get',
				params,
			});
		},
	};
}
