import request from '/@/utils/request';
import { pixelUrlHost } from '/@/api/baseUrlHost';

/**
 * （不建议写成 request.post(xxx)，因为这样 post 时，无法 params 与 data 同时传参）
 * 注意在写get请求时，参数是params，而不是data，要标注好
 * 
 * 登录api接口集合
 * @method getRecommendList 获取推荐作品列表
 * @method saveRecommend 保存推荐作品
 * @method deleteRecommend 删除推荐作品
 * @method updateRecommend 修改推荐作品
 */

export function recommendApi() {
	return {
		getRecommendList: (params: object) => {
			return request({
				url: pixelUrlHost + '/paRecommend',
				method: 'get',
				params,
			});
		},
		saveRecommend: (data: object) => {
			return request({
				url: pixelUrlHost + '/paRecommend',
				method: 'post',
				data,
			})
		},
		deleteRecommend: (id: Number) => {
			return request({
				url: pixelUrlHost + `/paRecommend/${id}`,
				method: 'delete',
			})
		},
		updateRecommend: (data: object) => {
			return request({
				url: pixelUrlHost + '/paRecommend',
				method: 'put',
				data,
			})
		},
	};
}
