import request from '/@/utils/request';
import { pixelUrlHost } from '/@/api/baseUrlHost';

/**
 * （不建议写成 request.post(xxx)，因为这样 post 时，无法 params 与 data 同时传参）
 * 注意在写get请求时，参数是params，而不是data，要标注好
 * 
 * 登录api接口集合
 * @method getWallList 获取作品墙列表
 * @method saveWall 保存作品墙推荐作品
 * @method deleteWall 删除作品墙推荐作品
 * @method updateWall 修改作品墙推荐作品
 * @method singleWall 获取作品墙作品详情
 */

export function recommendWallApi() {
	return {
		getWallList: (params: object) => {
			return request({
				url: pixelUrlHost + '/paPictureWall',
				method: 'get',
				params,
			});
		},
		saveWall: (data: object) => {
			return request({
				url: pixelUrlHost + '/paPictureWall',
				method: 'post',
				data,
			})
		},
		deleteWall: (id: Number) => {
			return request({
				url: pixelUrlHost + `/paPictureWall/${id}`,
				method: 'delete',
			})
		},
		updateWall: (data: object) => {
			return request({
				url: pixelUrlHost + '/paPictureWall',
				method: 'put',
				data,
			})
		},
        singleWall: (id: Number) => {
			return request({
				url: pixelUrlHost + `/paPictureWall/${id}`,
				method: 'get',
			})
		},
	};
}
